
From: Mikael Pettersson <mikpe@csd.uu.se>

The bug is in x86_tests.c: when I added the apic_write measurements, I
forgot to check it on !CONFIG_X86_LOCAL_APIC.  Fix below.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/perfctr/x86_tests.c |    5 +++++
 1 files changed, 5 insertions(+)

diff -puN drivers/perfctr/x86_tests.c~pefrctr-x86_tests-build-fix drivers/perfctr/x86_tests.c
--- 25/drivers/perfctr/x86_tests.c~pefrctr-x86_tests-build-fix	Tue Jun 29 14:32:07 2004
+++ 25-akpm/drivers/perfctr/x86_tests.c	Tue Jun 29 14:32:07 2004
@@ -44,6 +44,11 @@
 #define CR4MOV	"movl"
 #endif
 
+#ifndef PERFCTR_INTERRUPT_SUPPORT
+#undef apic_write
+#define apic_write(reg,vector)			do{}while(0)
+#endif
+
 static void __init do_rdpmc(unsigned pmc, unsigned unused2)
 {
 	unsigned i;
_
